<nav class="bg-white shadow-md fixed w-full z-50">

    <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
        <div class="flex justify-between h-16">
            <div class="pl-4 flex items-center">
                <a class="flex items-center toggleColour no-underline hover:no-underline font-bold text-2xl lg:text-2xl"
                    href="home">
                    <!--Icon from: http://www.potlabicons.com/ -->
                    <img src="assets/img/linkschool-logo.png" alt="" />
                    LinkSkool <span class="ml-1"> Online</span>
                </a>
            </div>
            <div class="hidden md:flex items-center space-x-6">
                <a href="home" class="text-gray-700 hover:text-blue-600">Home</a>
                <a href="about" class="text-gray-700 hover:text-blue-600">About</a>
                <a href="learning" class="text-gray-700 hover:text-blue-600">E-learning</a>
                <a href="pricing" class="text-gray-700 hover:text-blue-600">Pricing</a>
                <a href="partnership" class="text-gray-700 hover:text-blue-600">Partnership</a>

                <!-- More Dropdown -->
                <div class="relative group">
                    <button class="text-gray-700 hover:text-blue-600 flex items-center">
                        More
                        <svg class="w-4 h-4 ml-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"
                            fill="currentColor">
                            <path fill-rule="evenodd"
                                d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                                clip-rule="evenodd" />
                        </svg>
                    </button>
                    <div
                        class="absolute left-0 mt-2 w-40 bg-white border rounded-lg shadow-lg opacity-0 group-hover:opacity-100 transition-opacity">
                        <a href="benefits" class="block px-4 py-2 text-gray-700 hover:bg-gray-100">Benefits</a>
                        <a href="features" class="block px-4 py-2 text-gray-700 hover:bg-gray-100">Features</a>
                        <a href="cbt-app" class="block px-4 py-2 text-gray-700 hover:bg-gray-100">CBT</a>
                    </div>
                </div>

                <a href="register"
                    class="px-4 py-2 gradient text-white bg-blue-600 rounded-lg hover:bg-blue-700">Register</a>
            </div>

            <!-- Mobile Menu Button -->
            <div class="md:hidden flex items-center">
                <button id="mobile-menu-button" class="text-gray-700 focus:outline-none">
                    <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                        stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M4 6h16M4 12h16m-7 6h7" />
                    </svg>
                </button>
            </div>
        </div>
    </div>

    <!-- Mobile Menu -->
    <div id="mobile-menu" class="hidden md:hidden">
        <a href="index" class="block px-4 py-2 text-gray-700 hover:bg-gray-100">Home</a>
        <a href="about" class="block px-4 py-2 text-gray-700 hover:bg-gray-100">About</a>
        <a href="learning" class="block px-4 py-2 text-gray-700 hover:bg-gray-100">E-learning</a>
        <a href="pricing" class="block px-4 py-2 text-gray-700 hover:bg-gray-100">Pricing</a>
        <a href="partnership" class="block px-4 py-2 text-gray-700 hover:bg-gray-100">Partnership</a>

        <!-- More Dropdown in Mobile -->
        <div class="border-t">
            <button id="mobile-more-button"
                class="w-full text-left px-4 py-2 text-gray-700 hover:bg-gray-100 flex justify-between">
                More
                <svg class="w-4 h-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor">
                    <path fill-rule="evenodd"
                        d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                        clip-rule="evenodd" />
                </svg>
            </button>
            <div id="mobile-more-menu" class="hidden">
                <a href="benefits" class="block px-4 py-2 text-gray-700 hover:bg-gray-100">Benefits</a>
                <a href="features" class="block px-4 py-2 text-gray-700 hover:bg-gray-100">Features</a>
                <a href="cbt" class="block px-4 py-2 text-gray-700 hover:bg-gray-100">CBT</a>
            </div>
        </div>

        <a href="register" class="block px-4 py-2 text-white bg-blue-600 hover:bg-blue-700">Register</a>
    </div>
</nav>

<script>
document
    .getElementById("mobile-menu-button")
    .addEventListener("click", function() {
        document.getElementById("mobile-menu").classList.toggle("hidden");
    });

document
    .getElementById("mobile-more-button")
    .addEventListener("click", function() {
        document
            .getElementById("mobile-more-menu")
            .classList.toggle("hidden");
    });
</script>