document.addEventListener("DOMContentLoaded", function () {
    // Prices in NGN
    const pricesNGN = {
        basic: { yearly: 0, monthly: 0, termly: 0 },
        standard: { yearly: 2000, monthly: 500, termly: 1500 },
        advanced: { yearly: 3000, monthly: 750, termly: 2550 },
        premium: { yearly: 4000, monthly: 1000, termly: 3000 }
    };

    // Conversion rate (Example: 1 NGN = 0.0012 USD)
    const conversionRate = 0.0012;

    // Prices in USD (calculated dynamically)
    const pricesUSD = {};
    for (let plan in pricesNGN) {
        pricesUSD[plan] = {};
        for (let cycle in pricesNGN[plan]) {
            pricesUSD[plan][cycle] = (pricesNGN[plan][cycle] * conversionRate).toFixed(2);
        }
    }

    let currentCurrency = "NGN";
    let currentBillingCycle = "termly";

    // Elements
    const currencySelector = document.getElementById("currency-selector");
    const billingButtons = document.querySelectorAll(".billing-btn");
    const priceElements = {
        basic: document.getElementById("basic-price"),
        standard: document.getElementById("standard-price"),
        advanced: document.getElementById("advanced-price"),
        premium: document.getElementById("premium-price"),
    };

    function updatePrices() {
let priceData = currentCurrency === "NGN" ? pricesNGN : pricesUSD;
let currencySymbol = currentCurrency === "NGN" ? "₦" : "$";

// Update all currency symbols
document.querySelectorAll(".currency-symbol").forEach(el => {
    el.textContent = currencySymbol;
});

// Update all billing cycle texts
document.querySelectorAll(".billing-cycle-text").forEach(el => {
    el.textContent = currentBillingCycle;
});

// Update prices for all plans
for (let plan in priceElements) {
    priceElements[plan].textContent = priceData[plan][currentBillingCycle];
}
}



    // Currency Selector Event
    currencySelector.addEventListener("change", function () {
        currentCurrency = this.value;
        updatePrices();
    });

    // Billing Cycle Buttons Event
    billingButtons.forEach(button => {
        button.addEventListener("click", function () {
            billingButtons.forEach(btn => btn.classList.remove("active"));
            this.classList.add("active");
            currentBillingCycle = this.dataset.cycle;
            updatePrices();
        });
    });

    // Initialize Prices
    updatePrices();
});




    document.addEventListener("DOMContentLoaded", function () {
const billingButtons = document.querySelectorAll(".billing-btn");

billingButtons.forEach(button => {
    button.addEventListener("click", function () {
        // Remove "active" from all buttons and reset color to gray
        billingButtons.forEach(btn => {
            btn.classList.remove("active");
            btn.style.backgroundColor = "gray";
        });

        // Add "active" class to clicked button and set color to blue
        this.classList.add("active");
        this.style.backgroundColor = "blue";
    });
});
});


